Bug 1906898 - Missing User RoleBindings in the Project Access Web UI
Summary: Missing User RoleBindings in the Project Access Web UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Debsmita Santra
QA Contact: Mohammed Saud
URL:
Whiteboard:
Depends On:
Blocks: 1924437
TreeView+ depends on / blocked
 
Reported: 2020-12-11 17:35 UTC by Debsmita Santra
Modified: 2021-02-24 15:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7488 0 None closed Bug 1906898: Missing User RoleBindings in the Project Access Web UI 2021-02-09 18:27:03 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:43:26 UTC

Description Debsmita Santra 2020-12-11 17:35:29 UTC
Description of problem:
When a RoleBinding has more than one subject, we ignore them.


Version-Release number of selected component (if applicable):
4.7


How reproducible:
Always


Steps to Reproduce:
1. Create a RoleBinding with two subjects:

apiVersion: authorization.openshift.io/v1
kind: RoleBinding
metadata:
  name: gitops-user-binding
roleRef:
  name: admin
subjects:
- kind: User
  name: GRESS
- kind: User
  name: HERRNB_F
userNames:
- GRESS
- HERRNB_F 


2. Navigate to Dev Perspective => Project => Project Access


Actual results:
Only the first subject (GRESS) is visible.


Expected results:
All subjects to be visible

Additional info:

Comment 2 Mohammed Saud 2021-01-13 11:24:42 UTC
Verified on:
Version: 4.7.0-0.ci-2021-01-13-071849
Browser: Firefox 84, Chromium 87

All subjects in the role binding are visible.

Comment 4 Debsmita Santra 2021-02-03 07:23:15 UTC
Hey Matt, https://bugzilla.redhat.com/show_bug.cgi?id=1924437 is the bugzilla ticket to backport to 4.6

Comment 7 errata-xmlrpc 2021-02-24 15:43:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.